package com.gic.sql.check.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.sql.check.errorcode.HbErrorCode;

/**
 * Created 2020/7/3.
 *
 * @author hua
 */
public class BaseController {

    protected RestResponse resultResponse(HbErrorCode errorCode, Object data, String errDetail){
        return RestResponse.create(errorCode.getCode(),errorCode.getMessage(),data,errDetail);
    }

    protected RestResponse resultResponse(HbErrorCode errorCode,Object data){
        return RestResponse.create(errorCode.getCode(),errorCode.getMessage(),data);
    }

    protected RestResponse resultResponse(HbErrorCode errorCode) {
        return RestResponse.create(errorCode.getCode(),errorCode.getMessage(),null);
    }

    protected RestResponse resultResponse(ServiceResponse serviceResponse) {
        if (null == serviceResponse) {
            return RestResponse.failure(HbErrorCode.ERR_0001.getCode(),HbErrorCode.ERR_0001.getMessage());
        }
        if (serviceResponse.isSuccess()) {
           return RestResponse.create(HbErrorCode.ERR_0000.getCode(),HbErrorCode.ERR_0000.getMessage(),serviceResponse.getResult());
        }else {
            return RestResponse.create(HbErrorCode.ERR_0004.getCode(), serviceResponse.getMessage(), null);
        }
    }

    protected RestResponse resultPage(ServiceResponse serviceResponse) {
        if (null == serviceResponse) {
            return RestResponse.failure(HbErrorCode.ERR_0001.getCode(),HbErrorCode.ERR_0001.getMessage());
        }
        if (serviceResponse.isSuccess()) {
            return RestResponse.create(HbErrorCode.ERR_0000.getCode(),HbErrorCode.ERR_0000.getMessage(),serviceResponse.getResult());
        }else {
            return RestResponse.create(HbErrorCode.ERR_0004.getCode(), serviceResponse.getMessage(), null);
        }
    }
}
