package com.gic.sql.check.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gic.sql.check.entity.TabSqlCheckProject;
import com.gic.sql.check.mapper.SqlCheckProjectMapper;
import com.gic.sql.check.service.SqlCheckProjectService;

import java.util.Date;

import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author mybatis
 * @since 2020-10-15
 */
@Service
public class SqlCheckProjectServiceImpl extends ServiceImpl<SqlCheckProjectMapper, TabSqlCheckProject> implements SqlCheckProjectService {

	@Override
	public TabSqlCheckProject getByProjectCode(String project) {
		QueryWrapper<TabSqlCheckProject> queryWrapper=new QueryWrapper<>();
        queryWrapper.lambda().eq(TabSqlCheckProject::getSqlCheckProjectName,project);
        queryWrapper.lambda().eq(TabSqlCheckProject::getDeleteFlag,0);
        TabSqlCheckProject tab = this.getOne(queryWrapper);
        if(tab == null){
        	tab = new TabSqlCheckProject();
        	tab.setCreateTime(new Date());
        	tab.setDeleteFlag(0);
        	tab.setSqlCheckProjectName(project);
        	tab.setUpdateTime(new Date());
        	this.save(tab);
        }
        return tab;
	}

}
