package com.gic.sql.check.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gic.api.base.commons.Page;
import com.gic.commons.util.EntityUtil;
import com.gic.hb.base.common.BasePageInfo;
import com.gic.sql.check.dto.TabSqlCheckDTO;
import com.gic.sql.check.entity.TabSqlCheckSql;
import com.gic.sql.check.mapper.SqlCheckSqlMapper;
import com.gic.sql.check.service.SqlCheckSqlService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import java.util.Date;
import java.util.List;

import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author mybatis
 * @since 2020-10-15
 */
@Service
public class SqlCheckSqlServiceImpl extends ServiceImpl<SqlCheckSqlMapper, TabSqlCheckSql> implements SqlCheckSqlService {


	@Override
	public void saveByKey(String sqlKey, String sql, String project, String table, Integer sqlCheckTableId,
			Integer sqlCheckProjectId) {
		QueryWrapper<TabSqlCheckSql> queryWrapper=new QueryWrapper<>();
        queryWrapper.lambda().eq(TabSqlCheckSql::getSqlCheckSqlKey,sqlKey);
        queryWrapper.lambda().eq(TabSqlCheckSql::getDeleteFlag,0);
        TabSqlCheckSql tab = this.getOne(queryWrapper);
        if(tab != null){
        	return;
        }
        tab = new TabSqlCheckSql();
        tab.setCreateTime(new Date());
        tab.setSqlCheckProjectId(sqlCheckProjectId);
        tab.setSqlCheckProjectName(project);
        tab.setDeleteFlag(0);
        tab.setSqlCheckSql(sql);
        tab.setSqlCheckSqlKey(sqlKey);
        tab.setSqlCheckTableId(sqlCheckTableId);
        tab.setSqlCheckTableName(table);
        tab.setUpdateTime(new Date());
        this.save(tab);
		
	}

	@Override
	public Page<TabSqlCheckDTO> listByParams(String startDate, String endDate, String project, BasePageInfo pageInfo) {
		PageHelper.startPage(pageInfo);
		QueryWrapper<TabSqlCheckSql> queryWrapper=new QueryWrapper<>();
        queryWrapper.lambda().eq(TabSqlCheckSql::getSqlCheckProjectName,project);
        queryWrapper.lambda().eq(TabSqlCheckSql::getDeleteFlag,0);
        queryWrapper.lambda().between(TabSqlCheckSql::getCreateTime, startDate, endDate);
        List<TabSqlCheckSql> list = this.list(queryWrapper);
		PageInfo<TabSqlCheckSql> resPage = new PageInfo<>(list);
		Page<TabSqlCheckDTO> page =  new Page<>();
		page.setPageSize(pageInfo.getPageSize());
		page.setCurrentPage(pageInfo.getPageNum());
		page.setTotalCount((int)resPage.getTotal());
		page.setTotalPage(resPage.getPages());
		page.setResult(EntityUtil.changeEntityListByJSON(TabSqlCheckDTO.class, resPage.getList()));
		return page;
	}

}
