package com.gic.sql.check.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gic.sql.check.entity.TabSqlCheckTable;
import com.gic.sql.check.mapper.SqlCheckTableMapper;
import com.gic.sql.check.service.SqlCheckTableService;

import java.util.Date;

import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author mybatis
 * @since 2020-10-15
 */
@Service
public class SqlCheckTableServiceImpl extends ServiceImpl<SqlCheckTableMapper, TabSqlCheckTable> implements SqlCheckTableService {

	@Override
	public TabSqlCheckTable getByTableCode(String table) {
		QueryWrapper<TabSqlCheckTable> queryWrapper=new QueryWrapper<>();
        queryWrapper.lambda().eq(TabSqlCheckTable::getSqlCheckTableName,table);
        queryWrapper.lambda().eq(TabSqlCheckTable::getDeleteFlag,0);
        TabSqlCheckTable tab = this.getOne(queryWrapper);
        if(tab == null){
        	tab = new TabSqlCheckTable();
        	tab.setCreateTime(new Date());
        	tab.setDeleteFlag(0);
        	tab.setSqlCheckTableName(table);
        	tab.setUpdateTime(new Date());
        	this.save(tab);
        }
        return tab;
	}

}
