package com.gic.sql.check.service.outer.impl;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.hb.base.common.BasePageInfo;
import com.gic.sql.check.dto.TabSqlCheckDTO;
import com.gic.sql.check.entity.TabSqlCheckProject;
import com.gic.sql.check.service.SqlCheckProjectService;
import com.gic.sql.check.service.SqlCheckSqlService;
import com.gic.sql.check.service.outer.SqlCheckApiService;

@Service
public class SqlCheckApiServiceImpl implements SqlCheckApiService {
	
	private static Logger logger= LoggerFactory.getLogger(SqlCheckApiServiceImpl.class);
	@Autowired
	private SqlCheckProjectService sqlCheckProjectService;
//	@Autowired
//	private SqlCheckTableService sqlCheckTableService;
	@Autowired
	private SqlCheckSqlService sqlCheckSqlService;
	
	@Override
	public void mqSqlCheck(String res){
		if(StringUtils.isBlank(res)){
			logger.info("参数为空");
			return ;
		}
		JSONObject json = JSON.parseObject(res);
		String sqlKey = json.getString("sqlKey");
		String sql = json.getString("sql");
		String project = json.getString("project");
		String table = json.getString("table");
		
		TabSqlCheckProject sqlCheckProject = sqlCheckProjectService.getByProjectCode(project);
		sqlCheckSqlService.saveByKey(sqlKey,sql,project,table,-1,sqlCheckProject.getSqlCheckProjectId());
		
	}

	@Override
	public ServiceResponse<Page<TabSqlCheckDTO>> listByParams(String startDate, String endDate, String project,
			BasePageInfo pageInfo) {
		return ServiceResponse.success(sqlCheckSqlService.listByParams(startDate,endDate,project,pageInfo));
	}

}
